cURL
curl -X GET "https://api.fitsociety.io/public/v1/exports/requests" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/exports/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/exports/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"exportRequests": [
{
"exportRequestId": "66f7b8b1e13c8d25f4d3d90a",
"typeId": "company-clients-xlsx",
"typeLabel": "Client List (XLSX)",
"status": "completed",
"progress": 100,
"rowCount": 128,
"format": "xlsx",
"paramsSummary": "Fields: 12 selected",
"file": {
"downloadUrl": "https://exports.example.com/company-clients.xlsx",
"format": "xlsx",
"sizeBytes": 24576,
"expiresAt": "2026-07-21T10:00:00.000Z"
},
"error": {
"code": "EXPORT_FAILED",
"message": "The export could not be completed."
},
"createdAt": "2026-07-14T10:00:00.000Z",
"startedAt": "2026-07-14T10:00:00.000Z",
"completedAt": "2026-07-14T10:00:00.000Z",
"updatedAt": "2026-07-14T10:00:00.000Z",
"previousExportRequestId": null
}
],
"nextCursor": null
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}
Exports
List export requests
Requires exports:read. Lists only export requests created by the authenticated Public API client.
GET
/
public
/
v1
/
exports
/
requests
cURL
curl -X GET "https://api.fitsociety.io/public/v1/exports/requests" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/exports/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/exports/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"exportRequests": [
{
"exportRequestId": "66f7b8b1e13c8d25f4d3d90a",
"typeId": "company-clients-xlsx",
"typeLabel": "Client List (XLSX)",
"status": "completed",
"progress": 100,
"rowCount": 128,
"format": "xlsx",
"paramsSummary": "Fields: 12 selected",
"file": {
"downloadUrl": "https://exports.example.com/company-clients.xlsx",
"format": "xlsx",
"sizeBytes": 24576,
"expiresAt": "2026-07-21T10:00:00.000Z"
},
"error": {
"code": "EXPORT_FAILED",
"message": "The export could not be completed."
},
"createdAt": "2026-07-14T10:00:00.000Z",
"startedAt": "2026-07-14T10:00:00.000Z",
"completedAt": "2026-07-14T10:00:00.000Z",
"updatedAt": "2026-07-14T10:00:00.000Z",
"previousExportRequestId": null
}
],
"nextCursor": null
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}
Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Query Parameters
Required range:
1 <= x <= 100Example:
25
Use the previous response nextCursor value to fetch the next page.
Example:
"2026-07-14T10:00:00.000Z"
Comma-separated export statuses, or in(completed,failed).
Example:
"completed,failed"
Example:
"company-clients-xlsx"
Optional label language. When omitted, the Accept-Language header is used.
Example:
"en"